function [equality_violation_l1, inequality_violation, x_pos_violation, z_pos_violation] = ...
check_xyz_feasible(s, x, y, z, distribution, wtrans, wname, PO_qmf, NL, signal_dim, inequality_constant, LS, nA, length_father)

[Aty, LS, Phi_0ty] = trans_A_mat(y, s, distribution, wtrans, wname, PO_qmf, NL, signal_dim);
equality_violation_l1 = sum(abs(Phi_0ty));
inequality_violation = sum(Aty > inequality_constant);
x_pos_violation = sum(x<=0);
z_pos_violation = sum(z<=0);
if(any([inequality_violation, x_pos_violation, z_pos_violation]))
   warning('x y or z is not in the feasible region');
end




