function dmm = der_mu_min(y, s, distribution)

switch distribution
  case 'gaussian'
    dmm = -1;
  case 'poisson'
    dmm = -s./power(1+y, 2);
    dmm = reshape(dmm, 1, size(dmm,1)*size(dmm,2));
  otherwise
    error('Unsupported distribution');
end
