function [mu0, C, LS] = estimate_mu0(s, wtrans, wname, PO_qmf, NL, signal_dim)

sr=sqrt(s+3/8);
[C, LS] = analysis(sr, wtrans, wname, PO_qmf, NL, signal_dim);
if(signal_dim==1)
  length_father = LS(1);
  n = LS(end);  
else
  length_father = LS(1,1)*LS(1,2);
  n = LS(end,1)*LS(end,2);
end
C((length_father+1):n)=0;
mu0 = synthesis(C, LS, wtrans, wname, PO_qmf, NL, signal_dim);
mu0(mu0<1.e-5)=1.e-5;
mu0 = power(mu0, 2);
[C, LS] = analysis(mu0, wtrans, wname, PO_qmf, NL, signal_dim);
