function lou = linear_operator_squared(u, s, d_diag, p_diag, LS, nA, n0, length_father, distribution, wtrans, wname, PO_qmf, NL, M, N, signal_dim)

% u must be a column vector
nd = (length(d_diag)-n0)/2;
d1 = d_diag(n0+(1:nd));
d2 = d_diag((n0+nd)+(1:nd));
dy = u(1:(M*N))';
deta = u((M*N)+(1:length_father))';
% First line
Qdy = Qmat(dy, s, d_diag, p_diag, LS, nA, n0, length_father, distribution, wtrans, wname, PO_qmf, NL, M, N, signal_dim);
Phi0_deta = Phi0mat(deta, LS, nA, length_father, wtrans, wname, PO_qmf, NL, signal_dim);
[Aty, LS, Phi0t_dy] = trans_A_mat(dy, s, distribution, wtrans, wname, PO_qmf, NL, signal_dim);
Phi0Phi0t_dy=Phi0mat(Phi0t_dy, LS, nA, length_father, wtrans, wname, PO_qmf, NL, signal_dim);
lo1= Qmat(Qdy-Phi0_deta, s, d_diag, p_diag, LS, nA, n0, length_father, distribution, wtrans, wname, PO_qmf, NL, M, N, signal_dim);
lo1=lo1+Phi0Phi0t_dy;
% Second line
[Aty, LS, Phi0t_Qdy] = trans_A_mat(Qdy, s, distribution, wtrans, wname, PO_qmf, NL, signal_dim);
% Phi0' Phi0 is not necessarily the identity matrix I
if(strcmp(wtrans,'wavedec') | strcmp(wtrans,'wavedec2'))
  [Aty, LS, deta] = trans_A_mat(Phi0_deta, s, distribution, wtrans, wname, PO_qmf, NL, signal_dim);
end
lo2=-Phi0t_Qdy+deta;
% Put together
lou = [lo1 lo2];
lou=lou';




