function pcf = primal_cost(s, x, y, eta, LS, nA, n0, length_father, distribution, wtrans, wname, PO_qmf, NL, signal_dim, inequality_constant)

[s_hat, coef_hat] = reconstruct_signal(x, y, s, eta, LS, nA, n0, distribution, wtrans, wname, PO_qmf, NL, signal_dim);
logL = loglikelihood(s_hat, s, distribution);
penalty = inequality_constant(n0+(1:((length(inequality_constant)-n0)/2)));
coef_hat(1:length_father) = [];
pcf = -logL + sum(penalty .* abs(coef_hat));
