function [s_hat, coef_hat, s_hat_coef] = reconstruct_signal(x, y, s, eta, LS, nA, n0, distribution, wtrans, wname, PO_qmf, NL, signal_dim)

if(signal_dim==1)
  length_father = LS(1);
  n = LS(end);  
else
  length_father = LS(1,1)*LS(1,2);
  n = LS(end,1)*LS(end,2);
end
nx = nA-length_father;
coef_hat = x(n0+(1:nx));
x1 = x((n0+nx)+(1:nx));
coef_hat = x1 - coef_hat;
coef_hat = -[eta coef_hat];
s_hat = mu_min(y, s, distribution);
switch distribution
  case 'poisson'
    s_hat(s==0)=x(1:n0);
end
s_hat_coef = synthesis(coef_hat, LS, wtrans, wname, PO_qmf, NL, signal_dim);






