function [Aty, LS, Phi_0ty] = trans_A_mat(y, s, distribution, wtrans, wname, PO_qmf, NL, signal_dim)

[C, LS] = analysis(y, wtrans, wname, PO_qmf, NL, signal_dim);
if(signal_dim==1)
  length_father = LS(1);
else
  length_father = LS(1,1)*LS(1,2);
end
Phi_0ty = C(1:length_father);
C(1:length_father) = [];
Aty = [C, -C];
switch distribution
  case 'poisson'
    ys0 = y(s==0);
    Aty = [-reshape(ys0, 1, size(ys0,1)*size(ys0,2)), Aty];
end
