function Ax = A_mat(x, s, LS, nA, n0, distribution, wtrans, wname, PO_qmf, NL, signal_dim)

if(signal_dim==1)
  length_father = LS(1);
  n = LS(end);
else
  length_father = LS(1,1)*LS(1,2);
  n = LS(end,1)*LS(end,2);
end
nx = nA-length_father;
x0 = x(n0+(1:nx));
x1 = x((n0+nx)+(1:nx));
x0 = x0 - x1;
x0 = [zeros(1, length_father) x0];
Ax = synthesis(x0, LS, wtrans, wname, PO_qmf, NL, signal_dim);
switch distribution
  case 'poisson'
    xs0 = zeros(1, n);
    xs0(s==0) = x(1: n0);
    Ax = Ax - reshape(xs0, size(Ax,1), size(Ax,2));
end








