function h = Newton_right_hand_vector(r, reta, s, d_diag, p_diag, ...
        LS, nA, n0, length_father, distribution, wtrans, wname, ...
        PO_qmf, NL, M, N, signal_dim)

switch wtrans
  case {'wavedec', 'wavedec2'}
    Phi0_reta=Phi0mat(reta, LS, nA, length_father, wtrans, wname, PO_qmf, NL, signal_dim);
    Qr=Qmat(r, s, d_diag, p_diag, LS, nA, n0, length_father, distribution, wtrans, wname, PO_qmf, NL, M, N, signal_dim);
    h1 = reshape(Qr + Phi0_reta, 1, M*N);
    [Aty, LS, h2] = trans_A_mat(-r, s, distribution, wtrans, wname, PO_qmf, NL, signal_dim);
    h2 = reshape(h2, 1, length_father);
    h = [h1 h2];
  case {'FWT_PO', 'FWT2_PO'}
    Phi0_reta = Phi0mat(reta, LS, nA, length_father, wtrans, wname, PO_qmf, NL, signal_dim);
    Phi0_reta = reshape(Phi0_reta, 1, size(Phi0_reta,1)*size(Phi0_reta,2));
    Q_Phi0_reta = Qmat(Phi0_reta, s, d_diag, p_diag, LS, nA, n0, length_father, distribution, wtrans, wname, PO_qmf, NL, M, N, signal_dim);
    ru = r - reshape(Q_Phi0_reta, size(r, 1), size(r,2));
    [h, LS]= analysis(ru, wtrans, wname, PO_qmf, NL, signal_dim);
    h(1:length_father) = [];
end
h=h';
