function mm = mu_min(y, s, distribution)

switch distribution
  case 'gaussian'
    mm = s-y;
  case 'poisson'
    mm = s./(1+y);
  case 'spectral'
    mm=0.25*(-y+sqrt(power(y,2)+16*s))./s;
  otherwise
    error('Unsupported distribution');
end
